<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\PdfListen\TnListen\PrintTnListen;

class PrintTnListenBySettingsController extends \Kufer\Web\KuferTools\Basis\PdfListen\TnListen\PrintTnListen\PrintTnListenBySettingsController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new PrintTnListenBySettingsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return PrintTnListenBySettingsUseCase::getToolId();
  }
}